# Uses of Class
org.eclipse.gef.SnapToGeometry.Entry

Packages that use SnapToGeometry.Entry
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.

## Uses of SnapToGeometry.Entry in org.eclipse.gef

Fields in org.eclipse.gef declared as SnapToGeometry.Entry
Modifier and Type
Field
Description
`protected SnapToGeometry.Entry[]`
SnapToGeometry.`cols`
The vertical columns being snapped to.
`protected SnapToGeometry.Entry[]`
SnapToGeometry.`rows`
The horizontal rows being snapped to.
Methods in org.eclipse.gef with parameters of type SnapToGeometry.Entry
Modifier and Type
Method
Description
`protected double`
SnapToGeometry.`getCorrectionFor(SnapToGeometry.Entry[] entries, Map extendedData, boolean vert, double near, double far)`
Returns the correction value for the given entries and sides.
`protected double`
SnapToGeometry.`getCorrectionFor(SnapToGeometry.Entry[] entries, Map extendedData, boolean vert, double value, int side)`
Returns the correction value between +/- `SnapToGeometry.getThreshold()`, or the #getThreshold () if no corrections were found.